package com.philisense.www.dao.impl;

import com.philisense.www.dao.SystemNoticeDAO;
import com.philisense.www.mapper.SystemNoticeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class SystemNoticeDAOImpl implements SystemNoticeDAO {
        @Autowired
        private SystemNoticeMapper systemNoticeMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return systemNoticeMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return systemNoticeMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return systemNoticeMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return systemNoticeMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return systemNoticeMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return systemNoticeMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return systemNoticeMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return systemNoticeMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return systemNoticeMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return systemNoticeMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            systemNoticeMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            systemNoticeMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            systemNoticeMapper.updateBatch(list);
        }

    @Override
    public List<Map<String, Object>> timecountlist(Object map) {
        return systemNoticeMapper.timecountlist(map);
    }

    @Override
    public List<Map<String, Object>> getNoticeTopToHomePage(Map<String, Object> map) {
        return systemNoticeMapper.getNoticeTopToHomePage(map);
    }
}
